在事件查看器中提示“无法找到来自源 PHP-7.4.3 的事件ID4的描述。本地计算机上未安装引发此事件的组件,或者安装已损坏。可以安装或修复本地计算机上的组件。”的解决办法

[全站通告]如需人工一对一付费服务(业务),请加微信 2589053300 进行沟通处理-非诚勿扰

昨天淘宝客户来说他的xampp的软件,用的apache无法启动,具体的错误还有相关解决方式也在站内写了一下;具体请看 xampp启动apache报错为“PHP Warning: 'vcruntime140.dll' 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0”的解决办法

其实出现这个错误的时候,还有另外一个错误,就是在系统日志查看器中提示“无法找到来自源 PHP-7.4.3 的事件 ID 4 的描述。本地计算机上未安装引发此事件的组件,或者安装已损坏。可以安装或修复本地计算机上的组件。” 其实这个问题就是后面说的,没有安装c++2019;

原因:

PHP 7.4.x需要用于Visual Studio 2019的Microsoft Visual C ++ Redistributable

解决办法:

https://visualstudio.microsoft.com/downloads/

打开上面的网址-之后向下滚动→其他工具和框架→Microsoft Visual C++ Redistributable for Visual Studio 2019→选择你对应的版本下载即可;

我选择的是64位,X86以及X64位都安装也行~~~安装完一切就可以打开了;

PS:延伸阅读

Visual C++运行库完整版合集包2020年8月版

DLL以及C++修复神器DirectX 4.0正式版

如需博主协助处理(收费),请加微信2589053300(非诚勿扰) --更多请关注:老梁`s Blog

所写所说,是心之所感,思之所悟,行之所得;文当无敷衍,落笔求简洁。 以所舍,求所获;有所依,方所成!

支付宝赞助
微信赞助

免责声明,若由于商用引起版权纠纷,一切责任均由使用者承担。

您必须遵守我们的协议,如您下载该资源,行为将被视为对《免责声明》全部内容的认可->联系老梁投诉资源
LaoLiang.Net部分资源来自互联网收集,仅供用于学习和交流,请勿用于商业用途。如有侵权、不妥之处,请联系站长并出示版权证明以便删除。 敬请谅解! 侵权删帖/违法举报/投稿等事物联系邮箱:service@laoliang.net

转载请注明-老梁`s Blog(老梁博客) » 在事件查看器中提示“无法找到来自源 PHP-7.4.3 的事件ID4的描述。本地计算机上未安装引发此事件的组件,或者安装已损坏。可以安装或修复本地计算机上的组件。”的解决办法

发表评论

本站承接,网站推广(SEM,SEO),软件的安装的安装与调试,服务器的推荐以及配置,APP的开发与维护,网络或者web维护;财务软件,客户管理系统,人力资源,超市POS,医药管理,服务器安全,ecshop,金蝶,用友,管家婆;

立即查看 了解详情